package com.kmall.api.service.mk;

import com.kmall.api.dao.mk.ApiMkStoreTicketDiscountGoodsMapper;
import com.kmall.api.entity.GoodsVo;
import com.kmall.api.entity.mk.MkStoreTicketDiscountGoodsVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * 门店优惠券活动商品，参与优惠的商品Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
@Service
public class ApiMkStoreTicketDiscountGoodsService{
    @Autowired
    private ApiMkStoreTicketDiscountGoodsMapper apiMkStoreTicketDiscountGoodsMapper;

    public MkStoreTicketDiscountGoodsVo queryObject(Integer discGoodId) {
        return apiMkStoreTicketDiscountGoodsMapper.queryObject(discGoodId);
    }

    public List<MkStoreTicketDiscountGoodsVo> queryList(Map<String, Object> map) {
        return apiMkStoreTicketDiscountGoodsMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiMkStoreTicketDiscountGoodsMapper.queryTotal(map);
    }

    public List<GoodsVo> queryDiscountGoodsList(Map map){
        return apiMkStoreTicketDiscountGoodsMapper.queryDiscountGoodsList(map);
    }

    public Integer queryDiscountGoodsTotal(Map map){
        return apiMkStoreTicketDiscountGoodsMapper.queryDiscountGoodsTotal(map);
    }
}
